curl -X GET "https://prospect-api.smartlead.ai/api/v1/search-email-leads/search-analytics?api_key=YOUR_API_KEY"
{
"success": true,
"message": "Data retrieved successfully",
"data": {
"leadsFound": {
"current": 1200,
"previousMonth": 1000,
"percentageChange": 20,
"percentageChangeText": "+20%",
"trend": "increase",
"total": 5000
},
"emailsFetched": {
"current": 1100,
"previousMonth": 950,
"percentageChange": 15.79,
"percentageChangeText": "+15.79%",
"trend": "increase",
"total": 4500
},
"availableCredits": {
"available": 500,
"total": 1000,
"used": 500
},
"leadsFoundToday": 50,
"filterData": {
"leadsFound": 200,
"emailsFetched": 180
},
"maxDailyFetchLimit": 1000,
"maxSingleFetchLimit": 500
}
}
{
"statusCode": 401,
"success": false,
"message": "Unauthorized",
"error": "User not authenticated"
}
Smart Prospect
Search Analytics API
Retrieve search analytics (leads found, emails fetched, credits) for the authenticated user - GET /search-analytics
GET
/
api
/
v1
/
search-email-leads
/
search-analytics
curl -X GET "https://prospect-api.smartlead.ai/api/v1/search-email-leads/search-analytics?api_key=YOUR_API_KEY"
{
"success": true,
"message": "Data retrieved successfully",
"data": {
"leadsFound": {
"current": 1200,
"previousMonth": 1000,
"percentageChange": 20,
"percentageChangeText": "+20%",
"trend": "increase",
"total": 5000
},
"emailsFetched": {
"current": 1100,
"previousMonth": 950,
"percentageChange": 15.79,
"percentageChangeText": "+15.79%",
"trend": "increase",
"total": 4500
},
"availableCredits": {
"available": 500,
"total": 1000,
"used": 500
},
"leadsFoundToday": 50,
"filterData": {
"leadsFound": 200,
"emailsFetched": 180
},
"maxDailyFetchLimit": 1000,
"maxSingleFetchLimit": 500
}
}
{
"statusCode": 401,
"success": false,
"message": "Unauthorized",
"error": "User not authenticated"
}
This endpoint requires authentication via API key passed as a query parameter (
api_key).Query Parameters
string
required
Your SmartLead API key for authentication
string
Optional filter ID to get analytics for a specific filter (leads found, emails fetched for that filter). Pattern: ^[0-9]+$.
curl -X GET "https://prospect-api.smartlead.ai/api/v1/search-email-leads/search-analytics?api_key=YOUR_API_KEY"
Response Codes
Success
Request successful
Unauthorized
Unauthorized
Internal Server Error
Internal Server Error
{
"success": true,
"message": "Data retrieved successfully",
"data": {
"leadsFound": {
"current": 1200,
"previousMonth": 1000,
"percentageChange": 20,
"percentageChangeText": "+20%",
"trend": "increase",
"total": 5000
},
"emailsFetched": {
"current": 1100,
"previousMonth": 950,
"percentageChange": 15.79,
"percentageChangeText": "+15.79%",
"trend": "increase",
"total": 4500
},
"availableCredits": {
"available": 500,
"total": 1000,
"used": 500
},
"leadsFoundToday": 50,
"filterData": {
"leadsFound": 200,
"emailsFetched": 180
},
"maxDailyFetchLimit": 1000,
"maxSingleFetchLimit": 500
}
}
{
"statusCode": 401,
"success": false,
"message": "Unauthorized",
"error": "User not authenticated"
}
